Name:		putty
Version:	0.59
Release:	1%{?dist}
Summary:	SSH, Telnet and Rlogin client
License:	MIT
Group:		Applications/Internet
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Source0:	http://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz
Source1:	http://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz.RSA
Source2:	putty.desktop
Source3:	putty.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk+-devel desktop-file-utils sed

%description
Putty is a SSH, Telnet & Rlogin client - this time for Linux.

%prep

%setup -q

%build
%{__sed} -i -e "/.*sbcsdat.c/d" manifest
./mkfiles.pl
pushd unix
%{__sed} -i -e "s/-O2 -Wall -Werror/$RPM_OPT_FLAGS/g" \
	-e "s,/usr/local,%{_prefix},g" \
	Makefile.gtk
ln -s Makefile.gtk Makefile
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd unix
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%makeinstall
popd

desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  --add-category X-Fedora \
  %{SOURCE2}

install -m644 -D -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/putty.png

%files
%defattr(-,root,root)
%doc LICENCE
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/putty.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 10 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.59-1
- New upstream version
- Macro-ized Source filenames
- Cleanup of spaces/tabs to eliminate rpmlint warnings
- Upgraded due to CVE-2006-7162/BZ#231726

* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.58-3
- Rebuild for FC6

* Wed May 03 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.58-2
- rebuild

* Tue Apr 19 2005 Adrian Reber <adrian@lisas.de> - 0.58-1
- Updated to 0.58

* Tue Feb 29 2005 Adrian Reber <adrian@lisas.de> - 0.57-2
- fix build with gcc4

* Mon Feb 21 2005 Adrian Reber <adrian@lisas.de> - 0.57-1
- Updated to 0.57

* Tue Oct 28 2004 Adrian Reber <adrian@lisas.de> - 0.56-0.fdr.1
- Updated to 0.56 (bug #2209)

* Fri Aug  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.55-0.fdr.2
- Fix URL and source location.

* Thu Aug 05 2004 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.55.fdr.1
- Update to 0.55 due to security problem (CORE-2004-0705).

* Mon Nov 18 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.0-0.fdr.2.20030821
- Add desktop-file-utils to build requires

* Sun Aug 24 2003 Adrian Reber <adrian@lisas.de> 0:0.0-0.fdr.1.20030821
- now honouring $RPM_OPT_FLAGS
- moved make to the build section; binaries are now stripped
- inserted _smp_mflags
- using makeinstall
- created a icon for the menu entry
- optimized the category of the .desktop file from Internet to Network
- more fedorafication

* Thu Aug 21 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.0-0.fdr.0.20030821
- Quick and dirty spec for cvs of putty
